Package Details: cider2-bin 2.4.1-1

Git Clone URL: https://aur.archlinux.org/cider2-bin.git (read-only, click to copy)
Package Base: cider2-bin
Description: A cross-platform Apple Music experience built on Vue.js and written from the ground up with performance in mind
Upstream URL: https://cider.sh/
Keywords: applemusic
Licenses: unknown
Conflicts: cider, cider-git
Submitter: gsh
Maintainer: gsh
Last Packager: gsh
Votes: 5
Popularity: 0.79
First Submitted: 2023-10-03 12:09 (UTC)
Last Updated: 2024-06-03 04:13 (UTC)

Latest Comments

gsh commented on 2024-07-03 08:35 (UTC)

If you have bought cider2, you need to put the deb package and the PKGBUILD file into the same directory and run makepkg.

rwheeler121 commented on 2024-07-01 23:22 (UTC) (edited on 2024-07-01 23:22 (UTC) by rwheeler121)

It seems that the file URL is invalid. How do I fix this?

-> Downloading Cider-linux-debian-x64.deb...
curl: (3) URL rejected: Bad file:// URL
==> ERROR: Failure while downloading file://Cider-linux-debian-x64.deb
Aborting...
-> error downloading sources: /home/user/.cache/yay/cider2-bin 
 context: exit status 1

gsh commented on 2024-03-22 03:50 (UTC)

You need to put the deb package from itch.io and the PKGBUILD into the same directory and run the command 'makepkg'.

theperspectiv commented on 2024-03-22 00:12 (UTC)

Seems the .deb file is not accessible...or do we need to provide our own from itch.io or something?

-> Downloading cider_2.3.2_amd64.deb...
curl: (3) URL rejected: Bad file:// URL
==> ERROR: Failure while downloading file://cider_2.3.2_amd64.deb
Aborting...
error: failed to download sources for 'cider2-bin-2.3.2-2':

gsh commented on 2024-03-17 03:11 (UTC)

Fixed.

ntippie commented on 2024-03-16 19:42 (UTC)

Did the sha256sum change?

$ paru
...
==> Validating source files with sha256sums...
    cider_2.3.2_amd64.deb ... FAILED
==> ERROR: One or more files did not pass the validity check!
error: failed to download sources for 'cider2-bin-2.3.2-1':
error: packages failed to build: cider2-bin-2.3.2-1
...
$ sha256sum .cache/paru/clone/cider2-bin/cider_2.3.2_amd64.deb
3cc6fad8da144af3b8515cb213bd4d300a3b9199b1c45601c22dee7415a4d040  .cache/paru/clone/cider2-bin/cider_2.3.2_amd64.deb

cosmo commented on 2024-03-15 04:35 (UTC)

thanks for the quick update!

Core_UK commented on 2024-02-21 10:11 (UTC)

All Cider releases come with tar.zst builds, so I'm not sure why this is needed

gsh commented on 2024-02-08 10:08 (UTC)

@metafex Done.

metafex commented on 2024-02-08 09:52 (UTC)

Could you also add 'cider-git' to conflicts? On itch.io there was an arch package for 2.3.0 which had that package name which would conflict with this build.